Docs Rizler

Phone Numbers

List Agents for Chatbot

GEThttps://app.rizzdial.com/api/phone-numbers/dsi-agents
List Agents for Chatbot
curl --request GET \
  --url 'https://app.rizzdial.com/api/phone-numbers/dsi-agents?id=agent_123&page=1' \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "id": "agent_123",
      "text": "Inbound"
    }
  ],
  "pagination": {
    "more": false
  }
}

List Agents for Chatbot#

Lists active agents you can assign as this number's inbound chatbot. Use an agent's id on Assign Chatbot.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

qstringquery

Matches agent name

idstringquery

Return that one agent, for a pre-selected value

pageintegerquery

Page number. Default 1. 15 rows per page

curl --request GET \
  --url 'https://app.rizzdial.com/api/phone-numbers/dsi-agents?page=1' \
  --header 'Authorization: Bearer {{bearer_token}}'
resultsarray

Each row has id (agent id) and text (agent name)

pagination.moreboolean

true when another page exists